Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1654754 - [abrt] gnome-control-center: _cogl_renderer_handle_native_event(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: _cogl_renderer_handle_native_event(): gnome-cont...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2e4b22ee8cc689c767e8fed2ace...
: 1662701 1672127 1684783 1684971 1708953 1711936 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 15:33 UTC by Brian J. Murrell
Modified: 2020-11-09 16:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:34:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (93.59 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: cgroup (341 bytes, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: core_backtrace (14.68 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: cpuinfo (1.23 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: dso_list (27.75 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: environ (3.89 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: maps (146.01 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: mountinfo (9.11 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: open_fds (2.25 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2018-11-29 15:33 UTC, Brian J. Murrell
no flags Details

Description Brian J. Murrell 2018-11-29 15:33:32 UTC
Description of problem:
Tried to open bluetooth preferences

Version-Release number of selected component:
gnome-control-center-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: _cogl_renderer_handle_native_event
executable:     /usr/bin/gnome-control-center
journald_cursor: s=e341f018dbb24e518fad7d6c9ce50e34;i=36b79;b=40827c6c49e944bfa6e962cfe28807d0;m=8d277d1a6f;t=57bcf3616c80e;x=2b5ad52e0bdb0e86
kernel:         4.19.2-301.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _cogl_renderer_handle_native_event at cogl-renderer.c:730
 #1 cogl_xlib_renderer_handle_event at cogl-xlib-renderer.c:594
 #2 cogl_gdk_filter at gdk/clutter-backend-gdk.c:146
 #3 gdk_event_apply_filters at gdkeventsource.c:79
 #4 gdk_event_source_translate_event at gdkeventsource.c:198
 #5 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #6 gdk_display_get_event at gdkdisplay.c:438
 #11 g_main_context_iteration at gmain.c:3981
 #12 g_application_run at gapplication.c:2470

Potential duplicate: bug 1588469

Comment 1 Brian J. Murrell 2018-11-29 15:33:36 UTC
Created attachment 1509820 [details]
File: backtrace

Comment 2 Brian J. Murrell 2018-11-29 15:33:37 UTC
Created attachment 1509821 [details]
File: cgroup

Comment 3 Brian J. Murrell 2018-11-29 15:33:38 UTC
Created attachment 1509822 [details]
File: core_backtrace

Comment 4 Brian J. Murrell 2018-11-29 15:33:39 UTC
Created attachment 1509823 [details]
File: cpuinfo

Comment 5 Brian J. Murrell 2018-11-29 15:33:40 UTC
Created attachment 1509824 [details]
File: dso_list

Comment 6 Brian J. Murrell 2018-11-29 15:33:41 UTC
Created attachment 1509825 [details]
File: environ

Comment 7 Brian J. Murrell 2018-11-29 15:33:41 UTC
Created attachment 1509826 [details]
File: exploitable

Comment 8 Brian J. Murrell 2018-11-29 15:33:42 UTC
Created attachment 1509827 [details]
File: limits

Comment 9 Brian J. Murrell 2018-11-29 15:33:44 UTC
Created attachment 1509828 [details]
File: maps

Comment 10 Brian J. Murrell 2018-11-29 15:33:45 UTC
Created attachment 1509829 [details]
File: mountinfo

Comment 11 Brian J. Murrell 2018-11-29 15:33:46 UTC
Created attachment 1509830 [details]
File: open_fds

Comment 12 Brian J. Murrell 2018-11-29 15:33:46 UTC
Created attachment 1509831 [details]
File: proc_pid_status

Comment 13 yuval.kohavi 2018-12-27 17:28:14 UTC
Similar problem has been detected:

I had F28 which I upgraded to F29.
using nvidia drivers.
All I did was to open the WiFi settings. gnome-control-plane crashes.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gnome-control-center
crash_function: _cogl_renderer_handle_native_event
executable:     /usr/bin/gnome-control-center
journald_cursor: s=e9031916e1744ff5a0960a9b8fed43f9;i=15111;b=688b8e345f554ab990ad835a85502184;m=28adacc0d2;t=57e04155eda4e;x=866b9d6ab9ce56c7
kernel:         4.19.9-300.fc29.x86_64
package:        gnome-control-center-3.30.2-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 John Hannafin 2018-12-31 19:24:18 UTC
*** Bug 1662701 has been marked as a duplicate of this bug. ***

Comment 15 Tim Herren 2019-01-02 14:44:51 UTC
Similar problem has been detected:

I used the super-key to launch the search, entered "sound".
The submenu "Sound" from the settings got highlighted as usual and then I hit the enter key on my keyboard.

Instead of opening the sound menu in the GUI a error was displayed.

Further tries to open the sound menu the same way also result in a crash. I did not yet try after a reboot.
Some packages were recently updated on my system. This is the first time this error is happening.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gnome-control-center sound
crash_function: _cogl_renderer_handle_native_event
executable:     /usr/bin/gnome-control-center
journald_cursor: s=81efb29da56d4b42b6c6fe01dcf664cb;i=2a9d1;b=778e4df9babe41a1836def0df9928e15;m=3460d0c96;t=57e7a510e7dbd;x=6ae4353b72c792
kernel:         4.19.10-300.fc29.x86_64
package:        gnome-control-center-3.30.2-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Max Kaye 2019-02-03 23:25:12 UTC
*** Bug 1672127 has been marked as a duplicate of this bug. ***

Comment 17 Tim Herren 2019-03-02 13:17:32 UTC
*** Bug 1684783 has been marked as a duplicate of this bug. ***

Comment 18 Peter Hjalmarsson 2019-03-03 10:01:10 UTC
Similar problem has been detected:

Tried to open printer-settings

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        gnome-control-center printers
crash_function: _cogl_renderer_handle_native_event
executable:     /usr/bin/gnome-control-center
journald_cursor: s=e9a5c704126246b2bdb02df09648baca;i=144f6c;b=e5406945dee540379e65b41a1e8449cc;m=49ca194a;t=5832da3eec012;x=fb82cd025277f5f5
kernel:         4.20.8-200.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 rbtrimble 2019-03-04 03:34:39 UTC
*** Bug 1684971 has been marked as a duplicate of this bug. ***

Comment 20 Saravanan 2019-04-05 15:17:58 UTC
Similar problem has been detected:

While opening the control center to access the bluetooth speaker settings, the crash happened. I was trying to access it as I was not hearing any sound from my bluetooth connected speaker.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        gnome-control-center bluetooth
crash_function: _cogl_renderer_handle_native_event
executable:     /usr/bin/gnome-control-center
journald_cursor: s=56a255cdf858448da27c4c29fa02d665;i=28d8;b=2361366de1a14ff4993e32d6cab52028;m=2245b24e;t=585c52d0dc6eb;x=823c856436ec9d88
kernel:         5.0.3-200.fc29.x86_64
package:        gnome-control-center-3.30.3-1.fc29
reason:         gnome-control-center killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Louis van Dyk 2019-05-11 22:55:14 UTC
*** Bug 1708953 has been marked as a duplicate of this bug. ***

Comment 22 Jason Stevens 2019-05-20 12:58:26 UTC
*** Bug 1711936 has been marked as a duplicate of this bug. ***

Comment 23 Ben Cotton 2019-10-31 19:19:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Ben Cotton 2019-11-27 22:34:15 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 25 Brian J. Murrell 2020-11-09 16:13:01 UTC
FWIW, this seems to be continuing to happen in F32.  See bug 1896013.


Note You need to log in before you can comment on or make changes to this bug.